Loading...
Searching...
No Matches
RDKit::SynthonSpaceSearch::details Namespace Reference

## Classes

struct | Stepper

## Functions

RDKIT_SYNTHONSPACESEARCH_EXPORT bool | checkTimeOut (const TimePoint *endTime)
RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< std::vector< unsigned int > > | combMFromN (unsigned int m, unsigned int n)
RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< std::vector< unsigned int > > | permMFromN (unsigned int m, unsigned int n)
RDKIT_SYNTHONSPACESEARCH_EXPORT void | fixAromaticRingSplits (std::vector< std::unique_ptr< ROMol > > &molFrags)
RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< std::vector< std::unique_ptr< ROMol > > > | splitMolecule (const ROMol &query, unsigned int maxBondSplits, std::uint64_t maxNumFrags, TimePoint *endTime, bool &timedOut)
RDKIT_SYNTHONSPACESEARCH_EXPORT int | countConnections (const ROMol &frag)
RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< boost::dynamic_bitset<> > | getConnectorPatterns (const std::vector< std::unique_ptr< ROMol > > &fragSet)
RDKIT_SYNTHONSPACESEARCH_EXPORT boost::dynamic_bitset | getConnectorPattern (const std::vector< std::unique_ptr< ROMol > > &fragSet)
RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< std::vector< std::unique_ptr< ROMol > > > | getConnectorPermutations (const std::vector< std::unique_ptr< ROMol > > &molFrags, const boost::dynamic_bitset<> &fragConns, const boost::dynamic_bitset<> &reactionConns)
RDKIT_SYNTHONSPACESEARCH_EXPORT void | expandBitSet (std::vector< boost::dynamic_bitset<> > &bitSets)
RDKIT_SYNTHONSPACESEARCH_EXPORT void | bitSetsToVectors (const std::vector< boost::dynamic_bitset<> > &bitSets, std::vector< std::vector< size_t > > &outVecs)

## Function Documentation

## bitSetsToVectors()

RDKIT_SYNTHONSPACESEARCH_EXPORT void RDKit::SynthonSpaceSearch::details::bitSetsToVectors | ( | const std::vector< boost::dynamic_bitset<> > & | bitSets,
|  | std::vector< std::vector< size_t > > & | outVecs
| ) |  |

## checkTimeOut()

RDKIT_SYNTHONSPACESEARCH_EXPORT bool RDKit::SynthonSpaceSearch::details::checkTimeOut | ( | const TimePoint * | endTime | ) |

## combMFromN()

RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< std::vector< unsigned int > > RDKit::SynthonSpaceSearch::details::combMFromN | ( | unsigned int | m,
|  | unsigned int | n
| ) |  |

## countConnections()

RDKIT_SYNTHONSPACESEARCH_EXPORT int RDKit::SynthonSpaceSearch::details::countConnections | ( | const ROMol & | frag | ) |

## expandBitSet()

RDKIT_SYNTHONSPACESEARCH_EXPORT void RDKit::SynthonSpaceSearch::details::expandBitSet | ( | std::vector< boost::dynamic_bitset<> > & | bitSets | ) |

## fixAromaticRingSplits()

RDKIT_SYNTHONSPACESEARCH_EXPORT void RDKit::SynthonSpaceSearch::details::fixAromaticRingSplits | ( | std::vector< std::unique_ptr< ROMol > > & | molFrags | ) |

## getConnectorPattern()

RDKIT_SYNTHONSPACESEARCH_EXPORT boost::dynamic_bitset RDKit::SynthonSpaceSearch::details::getConnectorPattern | ( | const std::vector< std::unique_ptr< ROMol > > & | fragSet | ) |

## getConnectorPatterns()

RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< boost::dynamic_bitset<> > RDKit::SynthonSpaceSearch::details::getConnectorPatterns | ( | const std::vector< std::unique_ptr< ROMol > > & | fragSet | ) |

## getConnectorPermutations()

RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< std::vector< std::unique_ptr< ROMol > > > RDKit::SynthonSpaceSearch::details::getConnectorPermutations | ( | const std::vector< std::unique_ptr< ROMol > > & | molFrags,
|  | const boost::dynamic_bitset<> & | fragConns,
|  | const boost::dynamic_bitset<> & | reactionConns
| ) |  |

## permMFromN()

RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< std::vector< unsigned int > > RDKit::SynthonSpaceSearch::details::permMFromN | ( | unsigned int | m,
|  | unsigned int | n
| ) |  |

## splitMolecule()

RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< std::vector< std::unique_ptr< ROMol > > > RDKit::SynthonSpaceSearch::details::splitMolecule | ( | const ROMol & | query,
|  | unsigned int | maxBondSplits,
|  | std::uint64_t | maxNumFrags,
|  | TimePoint * | endTime,
|  | bool & | timedOut
| ) |  |